# Tutorials & Guides (UNFINISHED)

<!--
SELF NOTE:

I like these card-type templates:
- [ramanspy tutorials](https://ramanspy.readthedocs.io/en/latest/auto_tutorials/index.html)
- [cartopy gallery](https://scitools.org.uk/cartopy/docs/latest/gallery/index.html)
-->

## [1] Getting Started


<div class="grid cards" markdown>

-   [**:octicons-arrow-right-24: Online Demo**](./getting_started/online_demo.md)

    <figure markdown="span">
        [![](
            ../.assets/logo/transparent_notext.png
        ){style="height:130px; width:auto;"}](
            ./getting_started/online_demo.md
        )
    </figure>

    Try RedPlanet in your browser without installing anything.


-   [**:octicons-arrow-right-24: 3D Print a Crater**](./getting_started/3d_print.md)

    <figure markdown="span">
        [![](
            https://files.catbox.moe/f8vevi.png
        ){style="height:130px; width:auto;"}](
            ./getting_started/3d_print.md
        )
    </figure>

    Learn RedPlanet by generating 3D print files your favorite crater/region!


-   [**:octicons-arrow-right-24: How to Install/Use Python**](./getting_started/install_python.md)

    <figure markdown="span">
        [![](
            https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.marinedatascience.co%2Fimg%2Fsoftware%2Flogo_python.png&f=1&nofb=1&ipt=9f5fada5e7a9373fa22793ffdd86ea19d68a11808a4f228db22bc1d2ffc32654&ipo=images
        ){style="height:130px; width:auto;"}](
            ./getting_started/install_python.md
        )
    </figure>

    Overview of concepts, tools, best-practices, and advice for installing Python and managing packages.

</div>



&nbsp;

---
## [2] Basics of RedPlanet


<div class="grid cards" markdown>

-   [**:octicons-arrow-right-24: Radial Profiles**](./basics/radial_profile.md)

    <figure markdown="span">
        [![](
            https://files.catbox.moe/7ehom0.png
        ){style="height:130px; width:auto;"}](
            ./basics/radial_profile.md
        )
    </figure>

    Average cross-section of a crater.


-   Plotting (coming soon)


-   Impact demagnetization (coming soon)


-   Heat flow & Curie depths (coming soon)

</div>



&nbsp;

---
## [3] Advanced Analysis


<div class="grid cards" markdown>

-   Using craters as "snapshots" of ancient Mars (coming soon)

</div>



&nbsp;

---
## [4] External Resources *(opens in new tab)*

<div class="grid cards" markdown>

-   [**:octicons-arrow-right-24: Mars QuickMap**](https://mars.quickmap.io/layers?prjExtent=-16435210.8833828%2C-8021183.5691341%2C12908789.1166172%2C7866816.4308659&showGraticule=true&layers=NrBMBoAYvBGcQGYAsA2AHHGkB0BOcAOwFcAbU8AbwCIAzUgSwGMBrAUwCdqAuWgQ1IBnNgF8AumKrixQA&proj=3&time=2024-11-11T07%3A09%3A37.723Z){target="_blank"}

    <figure markdown="span">
        [![](
            https://files.catbox.moe/1k9fb8.png
        ){ style="height:130px; width:auto;" }](
            https://files.catbox.moe/1k9fb8.png
        ){target="_blank"}
    </figure>

    Lightweight/interactive mapping tool with various datasets, completely in your browser! This is my personal go-to. Tip: use [bit.ly/marsquickmap](https://bit.ly/marsquickmap) for a preconfigured link that disables the default layers.


-   [**:octicons-arrow-right-24: PySHTools Tutorials**](https://shtools.github.io/SHTOOLS/python-examples.html){target="_blank"}

    <figure markdown="span">
        [![](
            https://shtools.github.io/SHTOOLS/images/company_logo.png
        ){ style="height:130px; width:auto;" }](
            https://shtools.github.io/SHTOOLS/python-examples.html
        ){target="_blank"}
    </figure>

    PySHTools is a python package for spherical harmonic computation/analysis in planetary sciences. Their "Tutorials & Guides" section is an amazing resource for learning both the package and spherical harmonics in general.

</div>
